%% B is a coefficient matrix, thought of as coming from a system of homogeneous linear equations
%% the function uniqueSolution returns true if the system has a unique solution, false if no
function val=hasUniqueSolution(B)
	B=rref(B);
	[rows columns]=size(B);
	val=true;
	%% could have free variables because there are more variables than equations
	if columns>rows 
		val=false;
	end
	%% otherwise, number of variables is <= number of equations, and in this case
	%% if xi is the first free variable then B(i,i) will be 0
	if columns<=rows
		for i=1:columns
			if B(i,i)==0 
				val=false;
			end
		end
	end
end
